[tool.poetry]
name = "chartwatch"
version = "0.1.0"
description = "Python program for watching chart repositories and notifies outdated charts"
authors = ["Jesmigel Cantos <jesmigel.developer@gmail.com>"]
license = "See License file"
readme = "README.md"
packages = [
  { include = "chartwatch", from ="src" },
]

[tool.poetry.dependencies]
python = "^3.12"
pyhelm3 = "^0.3.3"
gitpython = "^3.1.43"
pyyaml = "^6.0.1"
slack-sdk = "^3.31.0"
packaging = "^24.1"

[tool.poetry.group.dev.dependencies]
black = "^24.4.2"
pylint = "^3.2.5"
pytest = "^8.3.2"
pytest-bdd = "^7.2.0"
autopep8 = "^2.3.1"
pytest-cov = "^5.0.0"
pytest-html-reporter = "^0.2.9"
isort = "^5.13.2"
pytest-html = "^4.1.1"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
